﻿@model List<eCommerce.UI.ViewModels.Shop.ProductViewModel>
@using eCommerce.Services.Utils
@using eCommerce.Services.Model.Enums

@if (Model.Any())
{
<div class="product-detail__related-products">
    <div class="arrivals__title">

        <p>Productos relacionados</p>

    </div>

    <div class="related-products__products">
        @foreach (var item in Model)
        {

        <div class="product-item js-product-item@(item.ShopImageSize.HasValue ? " product-item--" + item.ShopImageSize.Value.ToString() : string.Empty)">
            @* @if (Model.OnSale)
        {
            <div class="ribbon"> OnSale </div>
        }*@

            @if (item.OldPrice.HasValue && item.OldPrice.Value != 0)
            {
            var number = (item.OldPrice.Value - item.Price) / item.OldPrice.Value * 100;
            var percentage = Math.Round((decimal.ToDouble(number.Value)), MidpointRounding.AwayFromZero).ToString();
            <div class="discount-ribbon"><p class="percentage"> @percentage% OFF</p></div>
            }

            @*@if (!string.IsNullOrEmpty(item.Pay_x_get_y_promotion))
        {
            <div class="discount-ribbon"><span>@item.Pay_x_get_y_promotion</span></div>
        }*@

            <div class="product-item__image-wrapper">
                @{
                    var Images = item.Images;
                    if (item.ShopImageSize > 1)
                    {
                        Images = Images.Where(x => x.Orientation == (int)ImageOrientationEnum.Landscape).ToList();
                    }
                    else
                    {
                        Images = Images.Where(x => x.Orientation == (int)ImageOrientationEnum.Portrait).ToList();
                    }

                    Images = Images.OrderByDescending(x => x.Default).ThenBy(x => x.ColorId).ToList();
                }
                @if (Images.Any())
                {
                    <div class="product-item__image">
                        <div class="js-product-slider">
                            @foreach (var image in Images)
                            {
                                <div class="product-image__slide" data-color-id="@image.ColorId">
                                    <a href="@image.Url">
                                        <div class="product-image-container" style="background-image:url(@image.ResizedUrl)"></div>
                                    </a>
                                </div>
                            }
                        </div>
                    </div>
                }





            </div>
            <div class="product-item__body">

                <div class="product-item__top">
                    <div class="body_info">
                        <div class="title">
                            <a href="@item.Url">@item.Title</a>
                        </div>
                        <div class="prices">
                            @if (item.OldPrice.HasValue && item.OldPrice.Value != 0)
                            {
                                <div class="price-old">$@item.OldPrice.Value</div>
                            }
                            <div class="price-current">$@(item.Price == null ? item.WholesalePrice : item.Price)</div>

                            @*<div class="price-prev">@(item.CustomerOldPrice.HasValue ? "$ " + item.CustomerOldPrice.Value : string.Empty)</div>*@
                        </div>
                    </div>

                </div>


                <div class="button-view-detail">
                    <a href="@item.Url">
                        <button class="button-detail">
                            VER DETALLE
                        </button>
                    </a>



                </div>
            </div>
        </div>
                }
            </div>
        </div>
   
}